[p4perl] I need a winning combo for p4perl

Tony Smith tony at smee.org
Thu Jul 26 00:34:03 PDT 2007


On Thursday 26 July 2007 00:39, Gallie, Keith wrote:
> I need a winning combo on theses releases. I am starting with nothing.
>
> I'm trying to get p4perl going. P4-3.5708. I am following the
> instructions on
>
> http://public.perforce.com/guest/tony_smith/perforce/API/Perl/index.html
> #download-stable
>
> It just isn't working for me.
>
> I tried using the p4api-2007.2.122958 from bin.linux26x86_64 and to get
> the Makefile.PL to swallow the Version file you have to give it the path
> all the way to sample, which it then uses as the include directory.
> Bzzzt!

P4-3.5708 requires the 2006.1 API (or earlier). Try this one:

http://www.perforce.com/downloads/perforce/r06.1/bin.linux26x86_64/pic/p4api.tar

Regards,

Tony



More information about the p4perl mailing list